Bug 458122 - (CVE-2008-3337) CVE-2008-3337 pdns: not responding invalid queries my simplify spoofing attacks
CVE-2008-3337 pdns: not responding invalid queries my simplify spoofing attacks
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 11:28 EDT by Tomas Hoger
Modified: 2008-08-08 02:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-08 02:51:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-08-06 11:28:30 EDT
PowerDNS upstream released new pdns versions - 2.9.21.1 - fixing a security issue reported by Brian Dowling of Simplicity Communications and Florian Weimer of Debian Security Team:

PowerDNS does not respond to certain queries it considers malformed. This in itself is not a problem, and was even thought of as a security measure.

Brian and Florian have discovered that not answering a query for an invalid DNS record within a valid domain allows for a larger spoofing window of the valid domain. Because of the Kaminsky-discovery, this has become bad.

For a sophisticated attacker, this provides no benefit. However, such a long
window allows unsophisticated hackers to achieve better results.

Upstream patch:
http://wiki.powerdns.com/cgi-bin/trac.fcgi/changeset/1239
Comment 1 Tomas Hoger 2008-08-06 11:31:56 EDT
Keeping this private for a little longer, until embargo date/time chosen by upstream, even though it's more or less blown up now.
Comment 2 Ruben Kerkhof 2008-08-06 12:43:10 EDT
I've just build the updates for FC-8, FC-9 and devel.
They've been requested in Bodhi to be pushed to stable.
Comment 3 Fedora Update System 2008-08-07 19:53:02 EDT
pdns-2.9.21.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-08-07 19:55:46 EDT
pdns-2.9.21.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Red Hat Product Security 2008-08-08 02:51:35 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-7083
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-7048

Note You need to log in before you can comment on or make changes to this bug.